Create
curl --request POST \
--url https://api.ngrok.com/bot_users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'ngrok-version: <ngrok-version>' \
--data '
{
"name": "<string>",
"active": true
}
'import requests
url = "https://api.ngrok.com/bot_users"
payload = {
"name": "<string>",
"active": True
}
headers = {
"ngrok-version": "<ngrok-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'ngrok-version': '<ngrok-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({name: '<string>', active: true})
};
fetch('https://api.ngrok.com/bot_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"uri": "<string>",
"name": "<string>",
"active": true,
"created_at": "<string>"
}Bot Users
Create
Create a new bot user
POST
/
bot_users
Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
201 - application/json
Create a new bot user
Was this page helpful?
⌘I